ntlm_type3(3)

NAME
ntlm_type3 -

SYNOPSIS

#include <heimntlm.h>

  Data Fields
uint32_t flags
char * username
char * targetname
struct ntlm_buf lm
struct ntlm_buf ntlm
struct ntlm_buf sessionkey
char * ws
uint32_t os [2]

Detailed Description

Struct for the NTLM type3 message info, the strings is assumed to be in UTF8. When filled in by the library it should be freed with heim_ntlm_free_type3().

Examples:

test_ntlm.c.

Field Documentation

  uint32_t ntlm_type3::flags

Examples:
test_ntlm.c.

  char* ntlm_type3::username

Examples:
test_ntlm.c.

  char* ntlm_type3::targetname

Examples:
test_ntlm.c.

  struct ntlm_buf ntlm_type3::lm [read]

  struct ntlm_buf ntlm_type3::ntlm [read]

Examples:
test_ntlm.c.

  struct ntlm_buf ntlm_type3::sessionkey [read]

  char* ntlm_type3::ws

Examples:
test_ntlm.c.

  uint32_t ntlm_type3::os[2]

Author

Generated automatically by Doxygen for Heimdalntlmlibrary from the source code.